Delete Agent
curl --request DELETE \
--url https://api.eigi.ai/v1/public/agents/{agent_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.eigi.ai/v1/public/agents/{agent_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.eigi.ai/v1/public/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Agents
Delete Agent
Permanently delete an agent and its associated internal prompt
DELETE
/
v1
/
public
/
agents
/
{agent_id}
Delete Agent
Overview
Permanently delete an agent. This also deletes the agent’s internal prompt (if one was auto-created viaprompt_content).
This action cannot be undone. The agent and all its configuration will be permanently removed.
Authentication
string
required
Your eigi.ai API key. Must be prefixed with
vk_.Path Parameters
string
required
The unique agent ID to delete.Example:
68ea2517dbb84c09bae1ba0aResponse
string
Success confirmation message.
string
ID of the deleted agent.
string
Name of the deleted agent.
string
ISO 8601 timestamp of when the deletion occurred.
Authorizations
API key for authentication. Get your API key from the eigi.ai Dashboard under Settings → API Keys.
Path Parameters
The unique agent ID

